import { EdgeAPI, IFrontendEndpoint } from '@reapit-cdk/edge-api';
import { Construct } from 'constructs';
import { Bucket } from 'aws-cdk-lib/aws-s3';
import { InfoObject } from 'openapi3-ts/oas30';
export type { IFrontendEndpoint } from '@reapit-cdk/edge-api';
export interface EdgeAPISwaggerEndpointProps {
    readonly api: EdgeAPI;
    readonly url: string;
    readonly pathPattern?: string;
    /**
     * @jsii ignore
     */
    readonly info?: InfoObject;
    readonly repoRoot?: string;
}
export declare class EdgeAPISwaggerEndpoint extends Construct implements IFrontendEndpoint {
    bucket: Bucket;
    invalidationItems: string[] | undefined;
    pathPattern: string;
    constructor(scope: Construct, id: string, props: EdgeAPISwaggerEndpointProps);
}
